DPOST(1)

NAME
dpost - troff postprocessor for PostScript printers

SYNOPSIS

dpost [-c num] [-e num] [-m num] [-n num] [-o list] [-p mode] [-w num] [-x num] [-y num] [-F dir] [-H dir] [-L file] [-M marks] [-O] [-T name] [file] ...

DESCRIPTION
dpost translates files created by troff(1) into PostScript and writes the results on the standard output. If no files are specified, or if - is one of the input files, the standard input is read. The following options are accepted:

-c num
    Print num copies of each page. By default only one copy is printed.

-e num
    Sets the text encoding level to num. The recognized choices are digits between 0 and 5. 0 uses the PostScript ashow operator, and produces output essentially identical to previous versions of dpost. 1 also uses ashow but integrates motion commands with text commands. 2 uses the PostScript awidthshow operator, computing space widths in PostScript. 3 also uses awidthshow but computes space widths in dpost. 4 uses ashow, storing position as differences. 5 emits the same commands as 4 but in a binary PostScript Level 2 representation. The default is 3 with the ps device.

-m num
    Magnify each logical page by the factor num. Pages are scaled uniformly about the origin, which is located near the upper left corner of each page. The default magnification is 1.0.

-n num
    Print num logical pages on each piece of paper, where num can be any positive integer. By default, num is set to 1.

-o list
    Print those pages for which numbers are given in the comma-separated list. The list contains single numbers N and ranges N1-N2. A missing N1 means the lowest numbered page, a missing N2 means the highest. The page range is an expression of logical pages rather than physical sheets of paper. For example, if you are printing two logical pages to a sheet, and you specified a range of 4, then two sheets of paper would print, containing four page layouts. If you specified a page range of 3-4, when requesting two logical pages to a sheet; then only page 3 and page 4 layouts would print, and they would appear on one physical sheet of paper.

-p mode
    Print files in either portrait or landscape mode. Only the first character of mode is significant. The default mode is portrait.

-w num
    Set the line width used to implement troff graphics commands to num points, where a point is approximately 1/72 of an inch. By default, num is set to 0.3 points.

-x num
    Translate the origin num inches along the positive x axis. The default coordinate system has the origin fixed near the upper left corner of the page, with positive x to the right and positive y down the page. Positive num moves everything right. The default offset is 0 inches.

-y num
    Translate the origin num inches along the positive y axis. Positive num moves text up the page. The default offset is 0.

-F dir
    Use dir as the font directory. The default dir is /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font, and dpost reads binary font files from directory /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devps.

-H dir
    Use dir as the host resident font directory. Files in this directory should be complete PostScript font descriptions, and must be assigned a name that corresponds to the appropriate two-character troff font name. Each font file is copied to the output file only when needed and at most once during each job. There is no default directory.

-L file
    Use file as the PostScript prologue which, by default, is /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/dpost.ps.

-M marks
    Print marks (in combination with the trimat troff request). Valid types of marks are: cutmarks, registrationmarks, startargets, colorbars, and all. Mark names can be abbreviated and combined by colons, e.g. -Mcut:reg will print cut marks and registration marks.

-O  Disables PostScript picture inclusion. A recommended option when dpost is run by a spooler in a networked environment.

-T name
    Use font files for device name as the best description of available PostScript fonts. By default, name is set to ps and dpost reads files from /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devps.

The files should be prepared by troff. The default font files in /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devps produce the best output. They assume a resolution of 72000 dpi, and can be used to format files by adding the -Tps option to the troff call.

dpost makes no assumptions about resolutions. The first x res command sets the resolution used to translate the input files, the DESC file, usually /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devps/DESC, defines the resolution used in the binary font files, and the PostScript prologue is responsible for setting up an appropriate user coordinate system.

EXAMPLES

pic file | tbl | eqn | troff -mm -Tps | dpost

FILES
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devps/*
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/charlib/*
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/dpost.ps
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/color.ps
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/cutmarks.ps
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/draw.ps
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/forms.ps
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/font/devpost/postscript/ps.requests
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/tmac/pictures
/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_textproc_heirloom-doctools/heirloom-doctools/work/destroot/opt/local/share/heirloom-doctools/tmac/color

SEE ALSO
troff(1)

DIAGNOSTICS
The following exit values are returned:

0   Successful completion.

non-zero
    An error occurred.

NOTES
Although dpost can handle files formatted for any device, emulation is expensive and can easily double the print time and the size of the output file. No attempt has been made to implement the character sets or fonts available on all devices supported by troff. Missing characters will be replaced by white space, and unrecognized fonts will usually default to one of the Times fonts (that is, R, I, B, or BI).

An x res command must precede the first x init command, and all the input files should have been prepared for the same output device.

Use of the -T option is not encouraged. Its only purpose is to enable the use of other PostScript font and device description files, that perhaps use different resolutions, character sets, or fonts.